Package org.zkoss.zul

## Interface HiLoModel

- All Superinterfaces:
    `ChartModel`
  All Known Implementing Classes:
    `SimpleHiLoModel`

      public interface HiLoModel
      extends ChartModel

  A HiLo chart data model (date, open, close, high, low, volumn) usually used in stock market.
  Author:
    henrichen
  See Also:
    `Chart`, `SimpleHiLoModel`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValue​(java.util.Date date, java.lang.Number open, java.lang.Number high, java.lang.Number low, java.lang.Number close, java.lang.Number volumn)` | Append an (date, open, high, low, close, volumn) tuple.
    `void` | `addValue​(java.util.Date date, java.lang.Number open, java.lang.Number high, java.lang.Number low, java.lang.Number close, java.lang.Number volumn, int index)` | Add an (date, open, high, low, close, volumn) tuple at specified index.
    `void` | `clear()` | clear this model.
    `java.lang.Number` | `getClose​(int index)` | Get close value of a specified data index.
    `int` | `getDataCount()` | Get data count.
    `java.util.Date` | `getDate​(int index)` | Get date of a specified data index.
    `java.lang.Number` | `getHigh​(int index)` | Get High value of a specified data index.
    `java.lang.Number` | `getLow​(int index)` | Get Low value of a specified data index.
    `java.lang.Number` | `getOpen​(int index)` | Get Open value of a specified data index.
    `java.lang.Comparable<?>` | `getSeries()` | Get the only series.
    `java.lang.Number` | `getVolume​(int index)` | Get volume value of a specified data index.
    `void` | `removeValue​(int index)` | Remove (date, open, high, low, close, volumn) tuple of a data index.
    `void` | `setSeries​(java.lang.Comparable<?> series)` | Set the only series.
    `void` | `setValue​(java.util.Date date, java.lang.Number open, java.lang.Number high, java.lang.Number low, java.lang.Number close, java.lang.Number volumn, int index)` | Replace an (date, open, high, low, close, volumn) tuple at specified index.

    - ### Methods inherited from interface org.zkoss.zul.ChartModel

      `addChartDataListener, removeChartDataListener`

- - ### Method Detail

    - #### getSeries

          java.lang.Comparable<?> getSeries()

      Get the only series.

    - #### setSeries

          void setSeries​(java.lang.Comparable<?> series)

      Set the only series.
      Parameters:
        `series` - the only series in legend.

    - #### getDataCount

          int getDataCount()

      Get data count.

    - #### getDate

          java.util.Date getDate​(int index)

      Get date of a specified data index.

    - #### getOpen

          java.lang.Number getOpen​(int index)

      Get Open value of a specified data index.
      Parameters:
        `index` - the data index.

    - #### getHigh

          java.lang.Number getHigh​(int index)

      Get High value of a specified data index.
      Parameters:
        `index` - the data index.

    - #### getLow

          java.lang.Number getLow​(int index)

      Get Low value of a specified data index.
      Parameters:
        `index` - the data index.

    - #### getClose

          java.lang.Number getClose​(int index)

      Get close value of a specified data index.
      Parameters:
        `index` - the data index.

    - #### getVolume

          java.lang.Number getVolume​(int index)

      Get volume value of a specified data index.
      Parameters:
        `index` - the data index.

    - #### addValue

          void addValue​(java.util.Date date,
                        java.lang.Number open,
                        java.lang.Number high,
                        java.lang.Number low,
                        java.lang.Number close,
                        java.lang.Number volumn)

      Append an (date, open, high, low, close, volumn) tuple.
      Parameters:
        `date` - the date
        `open` - the open value in the date.
        `high` - the high value in the date.
        `low` - the low value in the date.
        `close` - the close value in the date.
        `volumn` - the trading volume in the date.

    - #### addValue

          void addValue​(java.util.Date date,
                        java.lang.Number open,
                        java.lang.Number high,
                        java.lang.Number low,
                        java.lang.Number close,
                        java.lang.Number volumn,
                        int index)

      Add an (date, open, high, low, close, volumn) tuple at specified index.
      Parameters:
        `date` - the date
        `open` - the open value in the date.
        `high` - the high value in the date.
        `low` - the low value in the date.
        `close` - the close value in the date.
        `volumn` - the trading volumn in the date.
        `index` - the data index
      Since:
        5.0.0

    - #### setValue

          void setValue​(java.util.Date date,
                        java.lang.Number open,
                        java.lang.Number high,
                        java.lang.Number low,
                        java.lang.Number close,
                        java.lang.Number volumn,
                        int index)

      Replace an (date, open, high, low, close, volumn) tuple at specified index.
      Parameters:
        `date` - the date
        `open` - the open value in the date.
        `high` - the high value in the date.
        `low` - the low value in the date.
        `close` - the close value in the date.
        `volumn` - the trading volumn in the date.
        `index` - the data index
      Since:
        5.0.0

    - #### removeValue

          void removeValue​(int index)

      Remove (date, open, high, low, close, volumn) tuple of a data index.
      Parameters:
        `index` - the data index.

    - #### clear

          void clear()

      clear this model.